%define xorg_ver %(pkg-config xorg-server --modversion|cut -d. -f 1-2)
%define        filename xf86-video-fbdev
Name:          xorg-drv-video-fbdev
Version:       0.5.1
Release:       1mamba
Summary:       fbdev X.Org video drivers
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://x.org/archive/individual/driver/%{filename}-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-server-devel >= 21.1.3-1mamba
BuildRequires: xorg-proto-devel
BuildRequires: libXvMC-devel >= 1.0.2
BuildRequires: libXrender >= 0.9.1
BuildRequires: libXrandr >= 1.1.1
BuildRequires: libXv >= 1.0.1
BuildRequires: libdrm-devel >= 2.3.0
BuildRequires: libXinerama-devel >= 1.0.1
BuildRequires: libpthread-stubs-devel
Provides:      xorgdrvvideo
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255

%description
fbdev X.Org video drivers.

%debug_package

%prep
%setup -q -n xf86-video-fbdev-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/fbdev_drv.so
%{_mandir}/man4/fbdev.4*

%changelog
* Fri Dec 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.1-1mamba
- update to 0.5.1

* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 0.5.0-3mamba
- rebuilt by autoport with build requirements: xorg-server-devel>=21.1.3-1mamba

* Sun Mar 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-2mamba
- rebuilt with xorg-server 1.20.4

* Sun Aug 12 2018 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic version update by autodist

* Thu Dec 07 2017 Automatic Build System <autodist@mambasoft.it> 0.4.4-4mamba
- rebuild with xorg-server 1.19.5

* Fri Aug 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.4-3mamba
- rebuilt with xorg-server 1.17.2

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 0.4.4-2mamba
- X.org 1.15 rebuild

* Fri Dec 27 2013 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- automatic update by autodist

* Wed Sep 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-5mamba
- adjust X -background support by removing fbdevHWSaveScreen (side effects?)

* Wed Sep 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-4mamba
- added a patch to support X -background none by setting canDoBGNoneRoot = TRUE

* Tue Mar 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-3mamba
- xorg-server 1.12 mass rebuild

* Thu Dec 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-2mamba
- mass rebuild: xorg-server 1.10 backport from devel-xorg

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- automatic version update by autodist

* Thu Jun 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-4mamba
- automatic update by autodist

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-3mamba
- automatic update by autodist

* Mon Aug 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.2-2mamba
- rebuilt for xorg-server 1.10

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 0.4.2-1mamba
- automatic update by autodist

* Sat Oct 24 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- update to 0.4.1

* Sun Jun 07 2009 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.4.0-1mamba
- Package created

